#include <stdio.h>
#include <stdlib.h>

int main()
{
    unsigned long long V;
    printf("Unesite sumu koju je potrebno isplatiti: ");
    scanf("%llu",&V);
    int c,d,br=0;
    while(V!=0)
    {
        c=V%10;
        switch(c)
        {
            case 1: case 2: case 5: d=1; break;
            case 3: case 4: case 6: case 7: d=2; break;
            case 8: case 9: d=3; break;
            default: d=0; break;
        }
        br+=d;
        V/=10;
    }
    printf("Najmanji broj novcanica kojim se isplacuje suma je %d",br);
}